## org.freedesktop.Gypsy.Server org.freedesktop.Gypsy.Server — Server interface |

## Methods

    Create   (in  's'device,
              out 'o'path)
    Shutdown (in  'o'path)

## Signals

## Implemented Interfaces

org.freedesktop.Gypsy.Server implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

The Server object is used to connect to and obtain the object path of specific GPS devices.

## Details

### Create ()

    Create (in  's' device,
            out 'o' path)

Connect to the specified GPS device, and create an object implementing the Gypsy Client Interface.

`device`: | A string identifying the device to connect to. For Bluetooth devices this is the Bluetooth address (such as 00:11:22:33:44:55), for serial devices it is the device node (such as /dev/ttyS0).
`path`: | The object path of the GPS device.

### Shutdown ()

    Shutdown (in  'o' path)

Disconnect from the specified GPS device.

`path`: | The object path of the GPS device.

## Signal Details

## Property Details